package com.slodon.b2b2c.vo.video;

import com.slodon.b2b2c.video.pojo.SvideoLabel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 *
 * 封装视频标签VO对象
 * @author wuxy
 */
@Data
public class VideoLabelVO implements Serializable {

    private static final long serialVersionUID = -2404790072854109104L;
    @ApiModelProperty("标签id")
    private Integer labelId;

    @ApiModelProperty("标签名称")
    private String labelName;

    @ApiModelProperty("绑定视频数量")
    private Integer videoNum;

    public VideoLabelVO(SvideoLabel svideoLabel) {
        this.labelId = svideoLabel.getLabelId();
        this.labelName = svideoLabel.getLabelName();
        this.videoNum = svideoLabel.getVideoNum();
    }
}
